WPS8TextInternal::Bookmark Struct Reference

Internal: class to store a field definition (BKMT). More...

## Public Member Functions
| Bookmark ()
| constructor

## Public Attributes
int | m_id
| an index
librevenge::RVNGString | m_text
| the field value
std::string | m_error
| a string used to store the parsing errors

## Friends
std::ostream & | operator<< (std::ostream &o, Bookmark const &tok)
| operator <<

## Detailed Description

Internal: class to store a field definition (BKMT).

## Constructor & Destructor Documentation

## ◆ Bookmark()

WPS8TextInternal::Bookmark::Bookmark | ( |  | ) |
| inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Bookmark const & | tok )
| friend

operator <<

## Member Data Documentation

## ◆ m_error

std::string WPS8TextInternal::Bookmark::m_error

a string used to store the parsing errors

Referenced by Bookmark(), and operator<<.

## ◆ m_id

int WPS8TextInternal::Bookmark::m_id

an index

Referenced by Bookmark(), and operator<<.

## ◆ m_text

librevenge::RVNGString WPS8TextInternal::Bookmark::m_text

the field value

Referenced by Bookmark(), and operator<<.

The documentation for this struct was generated from the following file:

- WPS8Text.cpp